<div style="margin-top: 20px;">
        <div class="container">
            <div class="row maximum-width-p-list">
                <div class="col-md-12">
                    <div class="btn-filter-wrapper pull-left" style="margin-bottom: 25px;">
                        <button pButton type="button" 
                            (click)="back()"
                            label="Back" 
                            icon="fa-angle-left"
                            class="ui-button-danger flat-label-button">
                        </button>
                    </div>
                </div>
                <p-dataList 
                    [value]="stockOpnamesAssign" 
                    [paginator]="true" 
                    [rows]="itemsPerPage"
                    [paginator]="true"
                    [pageLinks]="5"
                    [rowsPerPageOptions]="[10,15,20]"
                    [totalRecords]="totalItems"
                    [responsive]="true"
                    [lazy]="true"
                    dataKey="idAssign"
                    expandableRows="false"
                    (onLazyLoad)="loadDataLazy($event)"
                >
                    <p-header>
                        <jhi-alert></jhi-alert>
                        <div>
                            <form name="searchForm" class="form-inline">
                                <div class="input-group w-100 mt-3">
                                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                                        name="currentSearch" placeholder="Cari Stock Opname Unit Assign ">
                                    <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                                        <span class="fa fa-search"></span>
                                    </button>
                                    <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                                        <span class="fa fa-trash-o"></span>
                                    </button>
                                </div>
                            </form>
                        </div>
                    </p-header>
                    <ng-template let-rowData pTemplate="item">
                        <div class="ui-g ui-fluid border-item">
                            <div class="ui-g-12">
                                <div class="ui-g">
                                    <div class="ui-g-8"><h3>{{rowData.stockOpnameNumber}}</h3></div>
                                    <div class="ui-g-4" style="text-align:right"><span>{{rowData.dtCreated | date:'dd-MMM-yyyy'}}</span></div>
                                </div>
                            </div>
                            <div class="ui-g-6">
                                <div class="ui-g">
                                    <div class="ui-g-12"><h6>Gudang : {{rowData.facilityName}}</h6></div>
                                    <div class="ui-g-12"><h6>Lokasi : {{rowData.containerName}}</h6></div>
                                    <div class="ui-g-12"><span>Created by {{rowData.createdBy}}</span></div>
                                </div>
                            </div>
                            <div class="ui-g-5">
                                <div class="ui-g">
                                    <div class="ui-g-12"><h6>PIC :</h6></div>                                    
                                    <div class="ui-g-12">{{rowData.picName}}</div>                                    
                                    <div class="ui-g-12"><h6>Member :</h6></div>
                                    <div class="ui-g-12">{{rowData.memberName}}</div>
                                </div>
                            </div>
                            <div class="ui-g-1" style="text-align:right">
                                <div class="ui-g">
                                    <button pButton 
                                            class="flat-button" 
                                            icon="fa-ellipsis-v" 
                                            style="font-size:32px;"
                                            (click)="input(rowData.idAssign)"
                                    ></button>
                                </div>
                            </div>
                        </div>
                    </ng-template>
                </p-dataList>
            </div>
        </div>
    </div>
    <div style="margin-top: 10px;"></div>
    
    <p-confirmDialog></p-confirmDialog>
    
    